.blog-intro {
    display: flex;
    justify-content: space-between;
    align-items: center;

    .heading-46 {
        margin-bottom: 0;
    }
}

.blog-card {
    background: var(--white);
    overflow: hidden;
    transition: transform 0.3s ease;

    .blog-img {
        img {
            border-radius: 20px 0 20px 0;
        }
    }
}

.blog-content {
    margin-top: 30px;

    & .blog-date {
        display: flex;
        align-items: center;
        gap: 8px;
        font-family: var(--sitefonts);
        font-size: 18px;
        font-weight: 500;
        line-height: normal;
        color: var(--black);
        margin-bottom: 10px;
        text-transform: uppercase;
        position: relative;
    }

    & .heading-22 {
        font-family: var(--sitefonts);
        font-size: clamp(18px, 18px + (22 - 18) * ((100vw - 375px) / (1920 - 375)), 22px);
        font-weight: 500;
        line-height: 1.2;
        color: var(--black);
        margin-bottom: 10px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        line-clamp: 2;
        overflow: hidden;
        height: 52px;
    }

    p {
        font-family: var(--sitefonts);
        font-weight: 400;
        font-size: 18px;
        line-height: 1.3;
        color: var(--black);
        margin-bottom: 20px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        line-clamp: 2;
        overflow: hidden;
        height: 46px;
    }
}

.blog_detail_description h2 {
    font-size: clamp(18px, 18px + (26 - 18) * ((100vw - 575px) / (1920 - 575)), 26px);
}

.blog_detail_description h3 {
    font-size: 18px;
    margin-bottom: 15px;
}

.blog-js.slick-initialized {
    width: calc(100% + 50px);
    margin: 0 -25px;
}

.blog-js.slick-initialized .slick-slide {
    padding: 0 25px;
}

.blog-js.slick-initialized .slick-prev,
.blog-js.slick-initialized .slick-next {
    top: unset;
    bottom: calc(0% - 82px);
    width: 56px;
    height: 56px;
}

.blog-js.slick-initialized .slick-next {
    right: 25px;
}

.blog-js.slick-initialized .slick-prev {
    left: unset;
    right: 95px;
}

/* ----------------- Blog Listing Page Start From Here----------------- */
.blogpg .blog-listing {
    display: flex;
    flex-wrap: wrap;
    gap: 55px;
}

.blogpg .blog-listing .blog-card {
    width: calc(33.33% - 37px);
}

.blogpg .btnlist {
    width: 100%;
    justify-content: center;
    margin-top: 60px;
}

/* ----------------- Blog Listing Page End Here ----------------- */




/* ----------------- Blog Detail Page Start From Here ----------------- */
.blog-detail {
    position: relative;
}

.blog_detail_left_block {
    width: 956px;
}

.blog_detail_description .heading-40 {
    margin-top: 26px;
    position: relative;
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.blog_detail_description .heading-40:after {
    position: absolute;
    content: "";
    width: 22px;
    height: 3px;
    bottom: 0px;
    left: 0;
    background-color: #363636;
}

.blog-detail-head {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 24px;
    line-height: 27px;
    color: #202020;
}

ul.blog-detail-list {
    position: relative;
}

ul.blog-detail-list li {
    position: relative;
    margin-bottom: 25px;
    padding-left: 30px;
    font-size: 16px;
    line-height: 26px;
    font-weight: 400;
}

ul.blog-detail-list li:before {
    position: absolute;
    content: "";
    left: 0;
    top: 8px;
    width: 8px;
    height: 8px;
    background: #FFA500;
    border-radius: 50px;
}

.blog_detail_right_block {
    width: calc(100% - 956px);
    padding-left: 114px;
}

.blog_detail_heading {
    position: relative;
    font-size: 14px;
    font-weight: 600;
    line-height: 30px;
    color: #00A9DB;
    padding-left: 16px;
}

.blog_detail_heading:before {
    position: absolute;
    content: "";
    width: 4px;
    height: 16px;
    top: 7px;
    left: 0;
    background-color: #00A9DB;
}

.blog_detail_image {
    position: relative;
    margin: 0 0 40px 0;
}

.blog_detail_left_block .post-date {
    position: relative;
    font-size: 18px;
    color: #000;
    display: inline-flex;
    align-items: center;
    font-weight: bold;
    margin-bottom: 13px;
    text-transform: uppercase;
}

.blog-detail-date {
    display: flex;
    align-items: center;
    gap: 10px;
    line-height: normal;
    color: #000;
    background: #FFF;
    text-transform: capitalize;
    position: absolute;
    top: 40px;
    left: 0;
    height: 34px;
    border-radius: 0 0 15px 0;
    padding: 4px 19px;
    font-size: 16px;
    font-weight: 500;
    margin: 0;
}


/* blog detail search area------------------------------ */
.blog-detail-search {
    overflow: hidden;
    padding-bottom: 30px;
    max-width: 400px;
}

.searchcontrol {
    position: relative;
}

.searchcontrol .form-control {
    font-size: 16px;
    font-weight: 500;
    height: 70px;
    font-weight: normal;
    padding: 18px 73px 18px 27px;
    border: 1px solid rgb(0 0 0 / 30%);
    border-radius: 0;
}

.searchcontrol .submit {
    height: 70px;
    position: absolute;
    right: 0;
    top: 0;
    padding: 10px;
    width: 71px;
    min-width: 71px;
    border: 0;
    text-align: center;
    background: url(../../assets/images/icon/search-blog-icon.svg) no-repeat top 14px right 20px;
    border-radius: 0;
    background-color: var(--orange);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: auto;
}

/* ---------------------blog left right image content----------------- */
.left-right-blog-parent {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    background: #E6ECEF;
    padding: 62px 80px;
    margin: 51px 0 46px;
}

.blog-left-img {
    width: 343px;
}

.blog-right-content {
    width: calc(100% - 343px);
    padding-left: 100px;
}

.blog-right-content .heading-36 {
    font-size: clamp(20px, 20px + (36 - 20) * ((100vw - 375px) / (1920 - 375)), 36px);
    margin-bottom: 8px;
}

.blog-right-content p {
    font-size: 18px;
    font-weight: normal;
}

.blog_detail_description .heading-26 {
    line-height: 1.4;
    margin-bottom: 5px;
}

.blog_detail_description .heading-18 {
    font-size: 18px;
    font-weight: bold;
    line-height: 1.4;
    color: #000;
    margin-bottom: 5px;
}

.blog_detail_description p {
    line-height: 30px;
}

.blog-right-content .btn-black {
    display: inline;
}

.blog-right-content p {
    line-height: 26px;
    padding-bottom: 33px;
}

/* ---------------------blog left right image content----------------- */



/* recent post-------------------------------- */
.recent-post-head {
    font-size: 30px;
    font-weight: 500;
    color: #000;
    margin-bottom: 46px;
}

.recent-post-list {
    margin-bottom: 0;
}

.recent-post-list li {
    display: flex;
    align-items: center;
    padding-bottom: 50px;
    gap: 38px;
    padding-left: 0;
    margin: 0;
}

.recent-news-wrap {
    width: calc(100% - 201px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.recent-post-list li:after {
    display: none;
}

.recent-post-list li .recent-post-date {
    position: relative;
    font-size: 16px;
    font-weight: 500;
    color: #FFFFFF;
}

.recent-post-list li:last-of-type {
    margin-bottom: 0px;
    padding-bottom: 0;
    border-bottom: 0;
}

.recent-post-list li a {
    font-size: 20px;
    font-weight: 500;
    line-height: 26px;
    color: #000;
    margin-bottom: 0;
    text-wrap-style: balance;
    margin-bottom: 7px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    height: 75px;
}

.recent-post-list li .btn-learnmore {
    font-size: 18px;
    font-weight: normal;
    line-height: 26px;
    color: #000;
    min-height: unset;
    height: unset;
}

.recent-post-list li img {
    border-radius: 20px 0 20px 0;
}

.recent-post-list li .recent-news-wrap .read-more {
    font-size: 18px;
    font-weight: normal;
    color: #000;
    margin-bottom: 0px;
    min-height: unset;
    height: unset;
    line-height: normal;
}

.recent-news-wrap .read-more>img {
    filter: brightness(0) saturate(100%) invert(100%) sepia(95%) saturate(21%) hue-rotate(323deg) brightness(106%) contrast(104%);
    max-width: 13px;
    margin-left: 5px;
}

.recent-post-list li.active a {
    font-weight: var(--font-semibold);
    transition: all 0.4s ease-in-out;
    color: var(--yellow);
}

.recent-post-list li.active .recent-news-wrap .read-more>img,
.recent-post-list li .recent-news-wrap a.read-more:hover>img {
    filter: brightness(0) saturate(100%) invert(85%) sepia(22%) saturate(1154%) hue-rotate(340deg) brightness(107%) contrast(103%);
}

.recent-post-list li .recent-news-wrap a:hover {
    color: var(--yellow);
}

.recent-post-list li.active .recent-news-wrap>a,
.recent-post-list li:hover .recent-news-wrap>a {
    color: var(--yellow);
}

.recent_post_list {
    padding: 30px 0;
}

.recent_post_list li {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}

.recent_post_list li:last-of-type {
    margin-bottom: 0px;
}

.recent_post_list li>a {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin-left: 20px;
}

.recent_post_list li.active>a {
    font-weight: var(--font-semibold);
    transition: all 0.4s ease-in-out;
}

.recent_post_list li.active>a,
.recent_post_list li:hover>a {
    color: var(--blue);
}

.related-cntnt {
    margin-left: 21px;
}

.related-cntnt a {
    font-size: 16px;
    font-weight: normal;
    line-height: 26px;
    color: #000000;
}

.related-cntnt .more-link {
    font-size: 14px;
    font-weight: normal;
    color: #00A9DB;
    cursor: pointer;
}

.related-cntnt .more-link:hover {
    color: #000000;
}

.related-cntnt .more-link img {
    margin-left: 14px;
}

.related-cntnt .more-link:hover img {
    filter: brightness(0);
}

/* image box----------------------------- */
.blogdetails-img-wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 13px;
    padding-top: 65px;
}

.blog-detail-imgbox {
    width: calc(33.33% - 9px);
}

/* blog prev next---------------------------- */
.blog-prev-next {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid #E6ECEF;
    border-bottom: 1px solid #E6ECEF;
    padding-top: 24px;
    margin-top: 40px;
    padding-bottom: 24px;
}

.button.blog-prev,
.button.blog-next {
    color: #000;
    text-align: center;
    border: 0;
    min-width: unset;
    border-radius: 0;
    font-size: 18px;
    font-weight: normal;
    line-height: 100%;
    padding: 0;
    letter-spacing: 0px;
    text-transform: none;
    min-height: unset;
    gap: 10px;
    background: transparent;
}


.button.blog-prev:hover,
.button.blog-next:hover {
    color: var(--cement-grey);
    text-decoration: underline;
}

.button.blog-prev:hover>img,
.button.blog-next:hover>img {
    filter: brightness(0) saturate(100%) invert(23%) sepia(13%) saturate(424%) hue-rotate(155deg) brightness(93%) contrast(88%);
}

/* .searchcontrol ::-webkit-input-placeholder,
.searchcontrol textarea::-webkit-input-placeholder {
    color: #000;
    background: transparent;
}

.searchcontrol ::-moz-placeholder,
.searchcontrol textarea::-moz-placeholder {
    color: #000;
    background: transparent;
}

.searchcontrol:-ms-input-placeholder,
.searchcontrol textarea::placeholder {
    color: #000;
    background: transparent;
} */

.blog_detail_wrapper.flex-container.wrap {
    justify-content: space-between;
}

.blog_detail_left_block .blog-detail-search {
    display: none;
}

/* ----------------- Blog Detail Page End Here ----------------- */


/* ---------------------Blog form section start----------------- */
.blog-contact-area {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px 0 10px 0;
    background: #3B4347;
    padding: 35px 41px 44px;
    margin-top: 100px;
}

.form-title .heading-30 {
    font-size: 30px;
    color: #fff;
    line-height: 26px;
    font-weight: 500;
    margin-bottom: 22px;
}

/* ---------------------Blog form section end----------------- */




/* ----------------- Media Query start from here ----------------- */
@media (max-width:1700px) {
    .blogdetail-left-content {
        width: calc(100% - 730px);
        padding: 50px;
    }
}

@media (max-width:1599.99px) {
    .blog-js.slick-initialized {
        width: calc(100% + 40px);
        margin: 0 -20px;
    }

    .blog-js.slick-initialized .slick-slide {
        padding: 0 20px;
    }

    .blogdetail-left-content {
        width: calc(100% - 550px);
        padding: 40px;
    }

    .blogdetail-right-img {
        width: 550px;
    }


    /* ----------------------------------blog detail page start */
    .blog_detail_left_block {
        width: 800px;
    }

    .blog_detail_right_block {
        width: calc(100% - 800px);
        padding-left: 60px;
    }

    .blog-contact-area {
        margin-top: 50px;
        width: 100%;
    }

    .left-right-blog-parent {
        padding: 30px;
        margin: 30px 0;
    }

    .blog-right-content {
        padding-left: 30px;
    }


    /* ---------------------------------------- */
    .blogpg .blog-listing {
        gap: 30px;
    }

    .blogpg .blog-listing .blog-card {
        width: calc(33.33% - 20px);
    }

}

@media (max-width: 1439.99px) {

    .blog-js.slick-initialized {
        width: calc(100% + 30px);
        margin: 0 -15px;
    }

    .blog-js.slick-initialized .slick-slide {
        padding: 0 15px;
    }

    .blog-js.slick-initialized .slick-prev,
    .blog-js.slick-initialized .slick-next {
        bottom: calc(0% - 68px);
        width: 45px;
        height: 45px;
    }

    .blog-js.slick-initialized .slick-prev {
        right: 85px;
    }

    .blog-content {
        margin-top: 20px;

        & .heading-22 {
            line-height: 1.1;
        }
    }

    .blog-btn-wraper {
        &::before {
            left: 210px;
            width: calc(100% - 360px);
        }
    }

    /* blog listing page start */
    .blog-pg .blog-listing {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
    }

    .blog-pg .blog-listing .blog-card {
        width: calc(33.33% - 14px);
        padding: 28px;
    }

    /* ----------------------------------blog detail page start */
    .blog_detail_left_block {
        width: 700px;
    }

    .blog_detail_right_block {
        width: calc(100% - 700px);
        padding-left: 40px;
    }

    .blog-contact-area {
        margin-top: 50px
    }

    .recent-post-list li {
        gap: 15px;
        padding-bottom: 30px;
    }

    .recent-news-wrap {
        width: calc(100% - 125px);
    }

    .recent-post-list li a {
        font-size: 18px;
    }

    .blog-contact-area {
        padding: 30px;
    }

    .blog-left-img {
        width: 300px;
    }

    .blog-right-content {
        width: calc(100% - 300px);
    }

    .blog-right-content p {
        line-height: 26px;
        padding-bottom: 0;
        margin-bottom: 20px;
    }

    .blog-right-content p {
        font-size: 17px;
    }


}

@media (max-width: 1199.99px) {

    .blog-intro.mb-40 {
        margin-bottom: 30px;
    }

    .blog-js.slick-initialized {
        width: calc(100% + 20px);
        margin: 0 -10px;
    }

    .blog-js.slick-initialized .slick-slide {
        padding: 0 10px;
    }

    .blog-content {
        & .blog-date {
            margin-bottom: 12px;
            gap: 8px;
            font-size: 16px;

            & .icon {
                img {
                    width: 15px;
                    height: 16px;
                }
            }
        }

        & .heading-22 {
            height: 46px;
        }

        p {
            line-height: 1.1;
            height: 43px;
            margin-bottom: 10px;
        }
    }

    .blog-btn-wraper {
        &::before {
            left: 190px;
            width: calc(100% - 315px);
        }
    }

    .blogdetail-left-content {
        width: calc(100% - 500px);
        padding: 30px;
    }

    .blogdetail-right-img {
        width: 500px;
    }

    .blogdetail-left-content .heading-40 {
        font-size: 26px;
    }

    .blogdetail-left-content .heading-16 {
        padding: 5px 16px;
    }


    /* ----------------------------------blog detail page start */
    .blog_detail_left_block {
        width: 600px;
    }

    .blog_detail_right_block {
        width: calc(100% - 600px);
        padding-left: 30px;
    }

    .recent-post-list li {
        align-items: flex-start;
    }

    .recent-post-list li img {
        max-width: 120px;
        width: 120px;
    }

    .recent-news-wrap {
        width: calc(100% - 135px);
    }

    .recent-post-list li a {
        font-size: 17px;
        line-height: 23px;
    }

    .recent-post-list li .btn-learnmore {
        font-size: 16px;
        margin: 0;
    }

    .btn-learnmore {
        padding: 0 0 0 15px;
    }

    .btn-learnmore {
        &::before {
            bottom: -4px;
            width: 10px;
            height: 2px;
        }
    }

    .blog-left-img {
        width: 250px;
    }

    .blog-right-content {
        width: calc(100% - 250px);
        padding-left: 20px;
    }

    .blog-right-content .btn-black {
        font-size: 14px;
    }

    /* ------------------------------- */
    .blogpg .blog-listing {
        gap: 30px;
    }

    .blogpg .blog-listing .blog-card {
        width: calc(50% - 20px);
    }

}

@media (max-width: 991px) {
    .blog-js.slick-initialized {

        & .slick-list {
            padding-bottom: 55px !important;
        }
    }

    .blog-js.slick-initialized .slick-prev,
    .blog-js.slick-initialized .slick-next {
        bottom: calc(0% - 17px);
        width: 35px;
        height: 35px;
        background: var(--black);
        border: none;
    }

    .blog-js.slick-initialized {

        .slick-prev:before,
        .slick-next:before {
            inset: 0;
            width: 9px;
            height: 15px;
            margin: auto;
        }
    }

    .blog-js {
        &.slick-initialized {

            .slick-next:focus,
            .slick-next:hover,
            .slick-prev:focus,
            .slick-prev:hover {
                background: #3B4347;
            }
        }
    }

    .blog-js.slick-initialized .slick-next {
        right: calc(50% - 42px);
    }

    .blog-js.slick-initialized .slick-prev {
        left: calc(50% - 42px);
    }

    .blog-pg .blog-listing .blog-card {
        width: calc(50% - 14px);
        padding: 28px;
    }

    .blog-pg .blog-listing .blog-content {
        & .heading-20 {
            font-size: 18px;
        }
    }

    .blogdetail-left-content {
        width: 100%;
    }

    .blogdetail-right-img {
        width: 100%;
    }

    .blogdetail-left-content .heading-40 {
        margin-bottom: 40px;
    }

    .blogdetail-left-content .heading-16 {
        margin-bottom: 20px;
    }

    .blogdetail-right-img img {
        border-radius: 0 0 10px 10px;
    }

    .blog-detail-sec .container {
        padding: 0 10px;
    }

    /* ----------------------------------blog detail page start */
    .blog_detail_left_block {
        width: 100%;
    }

    .blog_detail_right_block {
        width: 100%;
        padding-left: 0;
        padding-top: 30px;
    }

    .recent-post-list {
        margin-bottom: 0;
        max-width: 400px;
    }

    .recent-post-list li a {
        height: auto;
    }

    .blog-contact-area {
        margin-top: 30px;
    }


    /* ------------------------------- */
    .blogpg .blog-listing {
        gap: 20px;
    }

    .blogpg .blog-listing .blog-card {
        width: calc(50% - 10px);
    }

}

@media (max-width: 767.99px) {
    .hm-blog-sec {
        overflow: hidden;
    }

    .blog-js.slick-initialized {

        & .slick-list {
            overflow: visible;
        }
    }

    .blog-btn-wraper {
        &::before {
            left: 225px;
            width: calc(100% - 340px);
        }
    }

    .blog-pg .blog-listing .blog-card {
        padding: 18px;
        width: calc(50% - 8px);
    }

    .blog-pg .blog-listing {
        gap: 15px;
    }

    .blogdetail-left-content .heading-40 {
        font-size: 20px;
        margin-bottom: 30px;
    }

    .blogdetail-left-content {
        padding: 15px;
    }

    .blog-detail-date {
        padding: 4px 8px 4px 4px;
        font-size: 13px;
        gap: 5px;
    }

    .blog-detail-date .icon img {
        max-width: 13px;
    }

    .blog-prev-next {
        padding-top: 15px;
        margin-top: 25px;
        padding-bottom: 15px;
    }

    .recent-post-head {
        margin-bottom: 30px;
    }

    .blog-left-img {
        width: 100%;
    }

    .blog-right-content {
        width: 100%;
        padding-left: 0;
        padding-top: 20px;
    }

    .blog-right-content .btn-black {
        font-size: 14px;
        padding: 10px 10px;
        min-height: 45px;
        min-width: auto;
    }

    /* ------------------------------- */
    .blogpg .blog-listing {
        gap: 25px;
    }

    .blogpg .blog-listing .blog-card {
        width: 100%;
    }

    .blogpg .blog-listing .blog-content {
        p {
            -webkit-box-orient: unset;
            -webkit-line-clamp: unset;
            line-clamp: 2;
            overflow: auto;
            height: 100%;
        }
    }

    .blog-content {
        & .heading-22 {
            height: auto;
            margin-bottom: 15px;
        }
    }

}

@media (max-width: 575px) {

    .blog-btn-wraper {
        &::before {
            left: 165px;
            width: calc(100% - 285px);
        }
    }

    .blog-intro.mb-40 {
        margin-bottom: 20px;
    }

    .blog-intro .blog-btn-wraper .btn-knowmore {
        font-size: 16px;

        & img {
            width: 12px;
        }
    }

    .blog-pg .blog-listing .blog-content {
        & .heading-20 {
            font-size: 16px;
        }
    }

    .blog-content {
        margin-top: 20px;
    }

    .blog-detail-sec li {
        padding-left: 30px;
    }

    .blog-detail-sec strong {
        margin-bottom: 10px;
        font-size: 18px;
    }

    .recent-post-list {
        margin-bottom: 0;
        max-width: 100%;
    }

    .recent-post-list li {
        align-items: center;
    }

    .blog-contact-area {
        padding: 20px;
    }

    .recent-post-list li a {
        font-size: 15px;
        line-height: 22px;
    }

}

@media (max-width: 480px) {

    .blog-pg .blog-listing .blog-card {
        width: 100%;
    }
}